package com.ar.artraceartpro.ui.adapter;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentActivity;
import androidx.viewpager2.adapter.FragmentStateAdapter;

import com.ar.artraceartpro.ui.fragment.CategoryFragment;
import com.ar.artraceartpro.ui.fragment.FavoriteFragment;
import com.ar.artraceartpro.ui.fragment.ImportFragment;

import java.util.ArrayList;
import java.util.List;

public class MainAViewPagerAdapter extends FragmentStateAdapter {

    private final List<Fragment> fragmentList;

    public MainAViewPagerAdapter(@NonNull FragmentActivity fragmentActivity) {
        super(fragmentActivity);
        fragmentList = new ArrayList<>();
        fragmentList.add(new CategoryFragment());
        fragmentList.add(new ImportFragment());
        fragmentList.add(new FavoriteFragment());
    }

    @NonNull
    @Override
    public Fragment createFragment(int position) {
        return fragmentList.get(position);
    }

    @Override
    public int getItemCount() {
        return fragmentList.size();
    }
}
